/////////////////////////////////////////////////////////////////////////////
// Name:        No names yet.
// Purpose:     Contrib. demo
// Author:      Aleksandras Gluchovas
// Modified by:
// Created:     2000/02/08
// RCS-ID:      $Id: finddlg.h,v 1.2 2001/03/14 13:48:11 aleksandras Exp $
// Copyright:   (c) Aleksandras Gluchovas
// Licence:   	GPL (version 2.0 or later)
/////////////////////////////////////////////////////////////////////////////

#ifndef __FINDDLG_G__
#define __FINDDLG_G__

#include "wx/dialog.h"
#include "wx/checkbox.h"
#include "wx/combobox.h"
#include "wx/string.h"
#include "wx/list.h"

class wxFindTextDialog : public wxDialog
{
public:
	wxFindTextDialog( wxWindow* parent, const wxString& expr = "" );

	wxComboBox* GetCombo();
	bool     MatchWordOn()  { return mMatchWord; }
	bool     MatchChaseOn() { return mMatchCase; }
	wxString GetExpr()      { return mLastExpr;  }
	void     SetExpr( const wxString& expr );


	virtual bool TransferDataFromWindow();

	void OnKeyHook( wxKeyEvent& event );

	DECLARE_EVENT_TABLE()

public:
	static wxString		mLastExpr;
	static bool			mMatchCase;
	static bool			mMatchWord;
	static wxStringList mExprList;  

	wxCheckBox* mpCaseCheck;
	wxCheckBox* mpWordCheck;
};
	
#endif